# RGB_LED Library for MicroBlocks

Welcome to the **RGB LED Library** for MicroBlocks!  
This library makes it easy for anyone—even if you don’t know how to code or use a computer much—to control a fan motor using simple blocks in MicroBlocks.

---

## Features

- **Easy drag-and-drop blocks** for controlling your fan motor
- **No coding required**
- **Control the color of the LED**
- **Beginner-friendly instructions**

---

## Getting Started

**What you need:**
- Spark microcontroller and connecting wires
- MicroBlocks IDE installed ([Download here](https://microblocks.fun/download/))
- A fan motor and basic connecting wires

---

## Installation

1. **Download the Fan Motor Library:**  
   Download the library file from [here](RGB_LED.ubl).

2. **Open MicroBlocks IDE** on your computer.

3. **Add the Library:**
   - Go to the library manager in MicroBlocks.
   - Click “Import Library” or drag and drop the downloaded file into the IDE.

---

## How to Use

1. **Connect your RGB LED** to your microcontroller’s pins (see your board’s pinout for details).

2. **Open MicroBlocks IDE** and make sure your board is connected.

3. **Find the Fan Motor blocks** in the blocks menu.

4. **Drag the blocks** you want to use into your script area.  
   - For example: 
    - “Set Pin Value 
    - Change LED Color"

5. **Click the green flag** or “Run” to start controlling your fan!

---
## Example Project

![](Images/6.png)

RGB LED block, start by entering the pin number where your RGB LED is connected.

You have two ways to set the color:

1. **Select a Color:**  
   Choose which color you want the LED to display by selecting from the available options.

2. **Enter a Color Name:**  
   Type the color name (e.g., "White") into the color field.  
   **Note:** The first letter must be capitalized.

**Available Colors:**  
Red, Yellow, Green, Purple, Blue, White.


---

## Troubleshooting

- **Fan not spinning?**  
  - Double-check your wiring.
  - Make sure your microcontroller is powered on.

- **Blocks not showing up?**  
  - Make sure you imported the library correctly.

- **Still stuck?**  
  - See the “Contact” section below!

---

*Have fun building with your fan motor!*

